summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2018-08-20 09:39:46 +0300
committerMart Raudsepp <leio@gentoo.org>2018-08-20 09:39:46 +0300
commite45cb8298f71921b26ee6dc1f5def07585359cfd (patch)
tree89e7ecb081b3b270f2c4e20734724b4cceac8186 /dev-util/glib-utils
parentdev-util/gdbus-codegen: use python-single-r1 as more appropriate (diff)
downloadgentoo-e45cb8298f71921b26ee6dc1f5def07585359cfd.tar.gz
gentoo-e45cb8298f71921b26ee6dc1f5def07585359cfd.tar.bz2
gentoo-e45cb8298f71921b26ee6dc1f5def07585359cfd.zip
dev-util/glib-utils: drop python2 from compat
python2 handles non-utf8 files badly for glib-mkenums, while it seems to be just a warning with python3. So drop python2 support, at least for now. Before it was kept due to bad glib[$PYTHON_USEDEP] deps, when mkenums was part of dev-libs/glib, but that's not a concern with this new package. Bug: https://bugs.gentoo.org/647892 Package-Manager: Portage-2.3.47, Repoman-2.3.10
Diffstat (limited to 'dev-util/glib-utils')
-rw-r--r--dev-util/glib-utils/glib-utils-2.56.2.ebuild2
1 files changed, 1 insertions, 1 deletions
diff --git a/dev-util/glib-utils/glib-utils-2.56.2.ebuild b/dev-util/glib-utils/glib-utils-2.56.2.ebuild
index fb52a8b8a92..29a579b0b9e 100644
--- a/dev-util/glib-utils/glib-utils-2.56.2.ebuild
+++ b/dev-util/glib-utils/glib-utils-2.56.2.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )
+PYTHON_COMPAT=( python{3_5,3_6,3_7} )
GNOME_ORG_MODULE="glib"
inherit gnome.org python-single-r1